View Issue Details

IDProjectCategoryView StatusLast Update
0037769FPCPackagespublic2020-09-19 19:49
ReporterMIS5 Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version3.2.1 
Summary0037769: FPC compiler 3.3.1 introduced compiler errors on Mac when using WebView
DescriptionWhat worked fine in the past now gives compiler errors when trying to compile code that uses WebView on Mac.

e.g.
MyWebView.mainFrame.DOMDocument; // Error: Identifier idents no member "DomDocument"

Essentitally it seems declarations have been stripped. But I am not sure where exactly the problem relies.

But in forum one reported using source trunk but FPC 3.0.4 it happily compiles, so I guess it might be FPC or LCL or FCL
Steps To Reproduceuses
  LCLtype, CocoaPrivate;

// ...

var
  TmpDom: DOMDocument;
  FWebView_Cocoa: WebView;
begin
   // init TmpParams before this
   FWebView_Cocoa := WebView( NSView(WebView.alloc).lclInitWithCreateParams(TmpParams) );
   // load webpage URL before this
   TmpDom := FWebView_Cocoa.mainFrame.DOMDocument; // compile time error!
 
Additional Informationhttps://forum.lazarus.freepascal.org/index.php?topic=51470.msg377892
TagsNo tags attached.
Fixed in Revision46896, 46899
FPCOldBugId
FPCTarget-
Attached Files

Activities

MIS5

2020-09-18 09:25

reporter   ~0125606

- Version 2.1.0
- Date: 2020-09-13
- FPC Version: 3.3.1
- SVN Revision: 63882
- X86-64-darwin-cocoa

Trevor Roydhouse

2020-09-18 09:43

reporter   ~0125607

See forum thread: https://forum.lazarus.freepascal.org/index.php/topic,51470.0.html

Jonas Maebe

2020-09-19 18:18

manager   ~0125644

The DOMDocument message had been wrongfully renamed to DOMDocument_ with the 10.10 update.

Issue History

Date Modified Username Field Change
2020-09-18 09:24 MIS5 New Issue
2020-09-18 09:25 MIS5 Note Added: 0125606
2020-09-18 09:43 Trevor Roydhouse Note Added: 0125607
2020-09-19 18:16 Jonas Maebe Project Lazarus => FPC
2020-09-19 18:16 Jonas Maebe Category Compiler => Packages
2020-09-19 18:16 Jonas Maebe Product Version 2.0.10 =>
2020-09-19 18:16 Jonas Maebe FPCTarget => -
2020-09-19 18:18 Jonas Maebe Assigned To => Jonas Maebe
2020-09-19 18:18 Jonas Maebe Status new => resolved
2020-09-19 18:18 Jonas Maebe Resolution open => fixed
2020-09-19 18:18 Jonas Maebe Fixed in Revision => 46896
2020-09-19 18:18 Jonas Maebe Note Added: 0125644
2020-09-19 19:47 Jonas Maebe Fixed in Version => 3.3.1
2020-09-19 19:49 Jonas Maebe Fixed in Version 3.3.1 => 3.2.1
2020-09-19 19:49 Jonas Maebe Fixed in Revision 46896 => 46896, 46899